API DocumentationManufacturer customer controller
Get a customer by ID
GET
Retrieves details of a specific customer by their ID
Phasio API Bearer Tokenheader
AuthorizationBearer <token>customerId*integerID of the customer to retrieve
Format
int64Customer retrieved successfully
application/json- response
email?stringcustomerId*integerFormat
int64organisationId*integerFormat
int64organisationName?stringisApproved*booleanfirstName*stringlastName*stringphoneNumber*stringnotificationPreference*stringdiscountId?integerFormat
int64discountPercentage?numberlanguage?stringcurl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/customer/1'{ "email": "string", "customerId": 0, "organisationId": 0, "organisationName": "string", "isApproved": true, "firstName": "string", "lastName": "string", "phoneNumber": "string", "notificationPreference": "string", "discountId": 0, "discountPercentage": 0, "language": "string"}Last updated on